com.jscape.inet.mft.audit.reporting.metricses

## Class TopAttachmentsSent

- java.lang.Object
- - com.jscape.inet.mft.audit.reporting.metricses.TopAttachmentsSent

- All Implemented Interfaces:
    Metrics<TopAttachmentsSent.Visitor>, com.jscape.util.Copyable<Metrics>, com.jscape.util.Visitable<TopAttachmentsSent.Visitor>

      public class TopAttachmentsSent
      extends java.lang.Object
      implements Metrics<TopAttachmentsSent.Visitor>

  Author:
    Alex Usun

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `TopAttachmentsSent.Visitor`

    - ### Nested classes/interfaces inherited from interface com.jscape.util.Visitable

      `com.jscape.util.Visitable.VisitorBase, com.jscape.util.Visitable.VisitorException`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TopAttachmentsSent()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `accept(TopAttachmentsSent.Visitor visitor)` Backwards dispatching entry point.
    `TopAttachmentsSent` | `copy()`
    `boolean` | `equals(java.lang.Object o)`
    `NamedEntry[]` | `getEntries()`
    `long` | `getFileCount(java.lang.String filename)` Returns download count for the specified file.
    `java.lang.String[]` | `getFilenames()` Returns filenames.
    `void` | `reset()` Resets metrics data.
    `void` | `setEntries(NamedEntry[] value)`
    `java.lang.String` | `toString()`
    `void` | `update(Report report, com.jscape.inet.mft.LogRecord record)` Updates metrics with log record.

    - ### Methods inherited from class java.lang.Object

      `getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TopAttachmentsSent

          public TopAttachmentsSent()

  - ### Method Detail

    - #### update

          public void update(Report report,
                             com.jscape.inet.mft.LogRecord record)

      Description copied from interface: `Metrics`
      Updates metrics with log record.
      Specified by:
        `update` in interface `Metrics<TopAttachmentsSent.Visitor>`
      Parameters:
        `report` - report instance
        `record` - log record

    - #### reset

          public void reset()

      Description copied from interface: `Metrics`
      Resets metrics data.
      Specified by:
        `reset` in interface `Metrics<TopAttachmentsSent.Visitor>`

    - #### copy

          public TopAttachmentsSent copy()

      Specified by:
        `copy` in interface `com.jscape.util.Copyable<Metrics>`

    - #### accept

          public java.lang.Object accept(TopAttachmentsSent.Visitor visitor)
                                  throws com.jscape.util.Visitable.VisitorException

      Description copied from interface: `com.jscape.util.Visitable`
      Backwards dispatching entry point.
      Specified by:
        `accept` in interface `com.jscape.util.Visitable<TopAttachmentsSent.Visitor>`
      Parameters:
        `visitor` - a visitor instance
      Returns:
        a visit result if any
      Throws:
        `com.jscape.util.Visitable.VisitorException` - if an error occurs

    - #### getEntries

          public NamedEntry[] getEntries()

    - #### setEntries

          public void setEntries(NamedEntry[] value)

    - #### getFilenames

          public java.lang.String[] getFilenames()

      Returns filenames.
      Returns:
        filenames

    - #### getFileCount

          public long getFileCount(java.lang.String filename)

      Returns download count for the specified file.
      Parameters:
        `filename` - target filename
      Returns:
        file download count

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © JSCAPE LLC. 1999-2018. All Rights Reserved